[page:Loader] →

# [name]

A loader for the PCD (Point Cloud Data) file format. [name] supports ASCII and (compressed) binary files as well as the following PCD fields:

- x y z
- rgb
- normal_x normal_y normal_z
- intensity
- label

## Code Example

`// instantiate a loader const loader = new PCDLoader(); // load a resource loader.load( // resource URL 'pointcloud.pcd', // called when the resource is loaded function ( points ) { scene.add( points ); }, // called when loading is in progresses function ( xhr ) { console.log( ( xhr.loaded / xhr.total * 100 ) + '% loaded' ); }, // called when loading has errors function ( error ) { console.log( 'An error happened' ); } );`

## Examples

[example:webgl_loader_pcd]

## Constructor

### [name]( [param:LoadingManager manager] )

[page:LoadingManager manager] — The [page:LoadingManager loadingManager] for the loader to use. Default is [page:LoadingManager THREE.DefaultLoadingManager].

Creates a new [name].

## Properties

See the base [page:Loader] class for common properties.

### [page:Boolean littleEndian]

Default value is true.

## Methods

See the base [page:Loader] class for common methods.

### [method:undefined load]( [param:String url], [param:Function onLoad], [param:Function onProgress], [param:Function onError] )

[page:String url] — A string containing the path/URL of the `.pcd` file.
[page:Function onLoad] — (optional) A function to be called after loading is successfully completed. The function receives loaded [page:Object3D] as an argument.
[page:Function onProgress] — (optional) A function to be called while the loading is in progress. The argument will be the XMLHttpRequest instance, which contains [page:Integer total] and [page:Integer loaded] bytes. If the server does not set the Content-Length header; .[page:Integer total] will be 0.
[page:Function onError] — (optional) A function to be called if an error occurs during loading. The function receives the error as an argument.

Begin loading from url and call onLoad with the parsed response content.

### [method:Object3D parse]( [param:Arraybuffer data],[param:String url] )

[page:Arraybuffer data] — The binary structure to parse.

[page:String url] — The file name or file url.

Parse an `pcd` binary structure and return an [page:Object3D].
The object is converted to [page:Points] with a [page:BufferGeometry] and a [page:PointsMaterial].

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/loaders/PCDLoader.js examples/jsm/loaders/PCDLoader.js]